# Generated by Django 4.0.2 on 2022-02-24 00:58

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import multiselectfield.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('juntagrico', '0037_post_1_5'),
    ]

    operations = [
        migrations.CreateModel(
            name='Godparent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Erstellungsdatum')),
                ('languages', multiselectfield.db.fields.MultiSelectField(choices=[('de', 'Deutsch'), ('fr', 'Français'), ('it', 'Italiano'), ('ro', 'Rumantsch dal Grischun'), ('en', 'English'), ('pt', 'Português'), ('es', 'Español'), ('ot', 'Andere (Bitte unten angeben)')], help_text='Wähle die Sprachen aus, die du sprichst.', max_length=23, verbose_name='Verständigung')),
                ('slots', multiselectfield.db.fields.MultiSelectField(choices=[('Montag', (('1am', 'Vormittag'), ('1pm', 'Nachmittag'), ('1ev', 'Abend'))), ('Dienstag', (('2am', 'Vormittag'), ('2pm', 'Nachmittag'), ('2ev', 'Abend'))), ('Mittwoch', (('3am', 'Vormittag'), ('3pm', 'Nachmittag'), ('3ev', 'Abend'))), ('Donnerstag', (('4am', 'Vormittag'), ('4pm', 'Nachmittag'), ('4ev', 'Abend'))), ('Freitag', (('5am', 'Vormittag'), ('5pm', 'Nachmittag'), ('5ev', 'Abend'))), ('Samstag', (('6am', 'Vormittag'), ('6pm', 'Nachmittag'), ('6ev', 'Abend'))), ('Sonntag', (('7am', 'Vormittag'), ('7pm', 'Nachmittag'), ('7ev', 'Abend')))], help_text='Während diesen Zeitfenstern bin ich üblicherweise verfügbar und könnte mich zu einer Einführung bzw. einem ersten gemeinsamen Einsatz treffen.', max_length=59, verbose_name='Verfügbarkeit')),
                ('children', models.BooleanField(help_text='Für Neumitglieder mit Kindern hat sich eine Einführung durch ein Gotte/Götti mit Kindern bewährt.', verbose_name='Ich habe Kinder, die ich zu den Einsätzen bei Juntagrico mitbringe')),
                ('other', models.TextField(blank=True, default='', help_text='Was sollten wir sonst noch beachten, bei der Vermittlung?', max_length=1000, verbose_name='Weitere Kriterien')),
                ('comments', models.TextField(blank=True, default='', help_text='Was möchtest du uns noch mitteilen?', max_length=1000, verbose_name='Bemerkungen')),
                ('max_godchildren', models.PositiveIntegerField(default=1, help_text='Wie viele Neumitglieder könntest du betreuen?', validators=[django.core.validators.MinValueValidator(1)], verbose_name='Anzahl Neumitglieder')),
                ('member', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='juntagrico.member', verbose_name='Mitglied')),
            ],
            options={
                'verbose_name': 'Gotte/Götti',
                'verbose_name_plural': 'Gotte/Göttis',
                'permissions': (('can_make_matches', 'Kann Gotte/Götti vermitteln'),),
            },
        ),
        migrations.CreateModel(
            name='Godchild',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Erstellungsdatum')),
                ('languages', multiselectfield.db.fields.MultiSelectField(choices=[('de', 'Deutsch'), ('fr', 'Français'), ('it', 'Italiano'), ('ro', 'Rumantsch dal Grischun'), ('en', 'English'), ('pt', 'Português'), ('es', 'Español'), ('ot', 'Andere (Bitte unten angeben)')], help_text='Wähle die Sprachen aus, die du sprichst.', max_length=23, verbose_name='Verständigung')),
                ('slots', multiselectfield.db.fields.MultiSelectField(choices=[('Montag', (('1am', 'Vormittag'), ('1pm', 'Nachmittag'), ('1ev', 'Abend'))), ('Dienstag', (('2am', 'Vormittag'), ('2pm', 'Nachmittag'), ('2ev', 'Abend'))), ('Mittwoch', (('3am', 'Vormittag'), ('3pm', 'Nachmittag'), ('3ev', 'Abend'))), ('Donnerstag', (('4am', 'Vormittag'), ('4pm', 'Nachmittag'), ('4ev', 'Abend'))), ('Freitag', (('5am', 'Vormittag'), ('5pm', 'Nachmittag'), ('5ev', 'Abend'))), ('Samstag', (('6am', 'Vormittag'), ('6pm', 'Nachmittag'), ('6ev', 'Abend'))), ('Sonntag', (('7am', 'Vormittag'), ('7pm', 'Nachmittag'), ('7ev', 'Abend')))], help_text='Während diesen Zeitfenstern bin ich üblicherweise verfügbar und könnte mich zu einer Einführung bzw. einem ersten gemeinsamen Einsatz treffen.', max_length=59, verbose_name='Verfügbarkeit')),
                ('children', models.BooleanField(help_text='Für Neumitglieder mit Kindern hat sich eine Einführung durch ein Gotte/Götti mit Kindern bewährt.', verbose_name='Ich habe Kinder, die ich zu den Einsätzen bei Juntagrico mitbringe')),
                ('other', models.TextField(blank=True, default='', help_text='Was sollten wir sonst noch beachten, bei der Vermittlung?', max_length=1000, verbose_name='Weitere Kriterien')),
                ('comments', models.TextField(blank=True, default='', help_text='Was möchtest du uns noch mitteilen?', max_length=1000, verbose_name='Bemerkungen')),
                ('talents', models.TextField(blank=True, default='', help_text='Hast du bestimmte Talente oder Fähigkeiten?', max_length=1000, verbose_name='Interessen & Begabungen')),
                ('godparent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='juntagrico_godparent.godparent', verbose_name='Gotte/Götti')),
                ('member', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='juntagrico.member', verbose_name='Mitglied')),
            ],
            options={
                'verbose_name': 'Neumitglied',
                'verbose_name_plural': 'Neumitglieder',
            },
        ),
    ]
